# Interface methods for submodule: NPasteImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: NPasteImageFilter
class NPasteImageFilterProxy(_InPlaceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetDestinationIndex(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetDestinationIndex(self) -> Sequence[int]:
		""""""
		...

	def SetDestinationSkipAxes(self, _arg: Sequence[bool]) -> None:
		""""""
		...

	def GetDestinationSkipAxes(self) -> Sequence[bool]:
		""""""
		...

	def SetSourceRegion(self, _arg: ImageRegion) -> None:
		""""""
		...

	def GetSourceRegion(self) -> ImageRegion:
		""""""
		...

	def SetDestinationImage(self, _arg) -> None:
		""""""
		...

	def GetDestinationImage(self):
		""""""
		...

	def SetSourceImage(self, _arg) -> None:
		""""""
		...

	def GetSourceImage(self):
		""""""
		...

	def SetConstantInput(self, _arg) -> None:
		""""""
		...

	@overload
	def SetConstant(self, _arg) -> None:
		""""""
		...

	@overload
	def SetConstant(self, _arg: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetConstant(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetConstant(self, _arg: Tuple[int, int, int, int]) -> None:
		""""""
		...

	@overload
	def SetConstant(self, _arg: Tuple[int, int, int]) -> None:
		""""""
		...

	@overload
	def SetConstant(self, _arg: int) -> None:
		""""""
		...

	def GetConstantInput(self):
		""""""
		...

	@overload
	def GetConstant(self):
		""""""
		...

	@overload
	def GetConstant(self) -> Sequence[float]:
		""""""
		...

	@overload
	def GetConstant(self) -> float:
		""""""
		...

	@overload
	def GetConstant(self) -> Tuple[int, int, int, int]:
		""""""
		...

	@overload
	def GetConstant(self) -> Tuple[int, int, int]:
		""""""
		...

	@overload
	def GetConstant(self) -> int:
		""""""
		...

	def GenerateInputRequestedRegion(self) -> None:
		""""""
		...

	def VerifyInputInformation(self) -> None:
		""""""
		...

	def VerifyPreconditions(self) -> None:
		""""""
		...

	def CanRunInPlace(self) -> bool:
		""""""
		...

